QUOTAON(8)

NAZWA
quotaon, quotaoff - włącza i wyłącza mechanizm udziałów dyskowych systemu plików

SKŁADNIA
/usr/sbin/quotaon [ -vugfp ] system-plików...
/usr/sbin/quotaon [ -avugfp ]

/usr/sbin/quotaoff [ -vugp ] systemplików...
/usr/sbin/quotaoff [ -avugp ]

OPIS

  quotaon

quotaon wskazuje systemowi, że na podanych systemach plików należy włączyć mechanizm kwot dyskowych. W katalogu głównym danego systemu plików muszą znajdować się pliki definiujące udziały, noszące nazwy aquota.user (dla wersji 2 kwot użytkowników), quota.user (dla wersji 1 kwot użytkowników), aquota.group (dla wersji 2 kwot grup) lub quota.group (dla wersji 1 kwot grup).

Specyficznym przypadkiem jest syetem plików XFS - traktuje on informacje o kwotach jako metadane systemu plików i korzysta z dziennika aby zagwarantować wyższy poziom ich spójności. System kwot dyskowych XFS zawiera dwa składniki: zliczanie i wymuszanie ograniczeń. System plików XFS wymaga, aby zliczanie kwot było włączane podczas montowania, nie dotyczy to jedynie głównego systemu plików. Włączanie i wyłączanie wymuszania ograniczeń jest możliwe w każdym systemie plików XFS, w którym jest aktualnie włączone zliczanie. Domyślnym zachowaniem jest włączanie zarówno zliczania, jak i wymuszania ograniczeń.

Implementacja kwot w XFS nie przechowuje informacji o nich w widocznych plikach, lecz przechowuje te informacje wewnętrznie.

  quotaoff

quotaoff wskazuje systemowi, że podane systemy plików powinny mieć wyłączone wszystkie mechanizmy kwot dyskowych.

OPCJE

  quotaon

-a  Włączenie mechanizmu kwot dyskowych na wszystkich automatycznie montowanych (bez opcji noauto) systemach plików z /etc/fstab oprócz NFS. Opcja ta służy zazwyczaj do włączania kwot podczas startu systemu.

-v  Wyświetlanie komunikatu dla każdego z systemów plików, dla których włączane są kwoty.

-u  Operowanie na kwotach dyskowych użytkowników. Jest to zachowanie domyślne.

-g  Operowanie na kwotach dyskowych grup.

-p  Jedynie wypisywanie stanu kwot (tzn. czy są one włączone, czy wyłączone) zamiast ich włączania.

-f  Spowodowanie takiego zachowania quotaon jak podczas wywoływania go jako quotaoff.

  quotaoff

-a  Wymuszenie wyłączenia mechanizmu kwot dyskowych na wszystkich systemach plików wymienionych w /etc/fstab.

-v  Wyświetlanie komunikatu dla każdego z systemów plików, dla którego wyłączane są kwoty.

-u  Operowanie na kwotach dyskowych użytkowników. Jest to zachowanie domyślne.

-g  Operowanie na kwotach dyskowych grup.

-p  Jedynie wypisywanie stanu kwot (tzn. czy są one włączone, czy wyłączone) zamiast ich wyłączania.

-x delete
    Zwolnienie przestrzeni używanej do przechowywania informacji o kwotach (obsługiwane wewnętrznie) w XFS. Ta opcja ma zastosowanie jedynie do XFS i jest milcząco ignorowana dla pozostałych rodzajów systemów plików. Może być zastosowana wyłącznie do systemu plików, dla którego uprzednio wyłączono kwoty.

-x enforce
    Wyłączenie wymuszania ograniczeń dla systemów plików XFS (przeprowadzanie jedynie zliczania). Ta opcja ma zastosowanie jedynie do XFS i jest milcząco ignorowana dla pozostałych rodzajów systemów plików.

PRZYKŁADY DLA XFS

Włączanie kwot dla inego niż główny systemu plików XFS
    Włączanie zarówno zliczania, jak i wymuszania ograniczeń odbywa się za pomocą mount(8) lub opcji dotyczących kwot w /etc/fstab. Nie można stosować w tym celu programu narzędziowego quotaon.

Włączanie kwot dla głównego systemu plików XFS
    Odbywa się za pomocą quotaon -v / oraz reboot(8). Ta procedura powoduje włączenie zarówno zliczania, jak i wymuszania ograniczeń.

Wyłączanie wymuszania ograniczeń kwot w dowolnym systemie plików XFS
    Należy się upewnić za pomocą repquota -s, że włączone są zarówno zliczanie kwot, jak i wymuszanie ograniczeń. Do wyłączenia wymuszania ograniczeń należy wówczas użyć quotaoff -vo. Można to zrobić na zamontowanym systemie plików.

Włączanie wymuszania ograniczeń kwot w dowolnym systemie plików XFS
    Należy się upewnić za pomocą repquota -s, że włączone jest zliczanie kwot, a następnie wydać polecenie quotaon -v. Można to zrobić na zamontowanym systemie plików.

PLIKI
aquota.user i aquota.group
    pliki kwot dyskowych umieszczone w głównym katalogu systemu plików (wersja 2 kwot, systemy plików inne niż XFS)
quota.user i quota.group
    pliki kwot dyskowych umieszczone w głównym katalogu systemu plików (wersja 1 kwot, systemy plików inne niż XFS)
/etc/fstab
    domyślne systemy plików

ZOBACZ TAKŻE
quotactl(2), fstab(5), repquota(8)